> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Repeat fault check

> Whether a tenant's message reads as a repair finished in the last 30 days coming back (read once per message)



## OpenAPI

````yaml /openapi.json post /maintenance-pro/repeat-fault/check
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: desk
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /maintenance-pro/repeat-fault/check:
    post:
      tags:
        - maintenance-pro
      summary: Repeat fault check
      description: >-
        Whether a tenant's message reads as a repair finished in the last 30
        days coming back (read once per message)
      operationId: maintenance-pro.repeatFaultCheck
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sourceKind:
                  type: string
                  enum:
                    - front-desk.enquiry
                    - maintenance-pro.repair
                sourceId:
                  type: string
                sourceVersion:
                  type: string
                contactId:
                  type: string
                text:
                  type: string
                receivedAt:
                  type: string
              required:
                - sourceKind
                - sourceId
                - sourceVersion
                - contactId
                - text
                - receivedAt
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  state:
                    type: string
                    enum:
                      - matched
                      - no_match
                      - unavailable
                  match:
                    anyOf:
                      - type: object
                        properties:
                          previous:
                            type: object
                            properties:
                              id:
                                type: string
                              reference:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              title:
                                type: string
                              description:
                                type: string
                              contractor:
                                anyOf:
                                  - type: object
                                    properties:
                                      contactId:
                                        type: string
                                      name:
                                        type: string
                                    required:
                                      - contactId
                                      - name
                                    additionalProperties: false
                                  - type: 'null'
                              fixedAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              closedAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              completionNote:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              tenantConfirmedFixed:
                                type: boolean
                              invoice:
                                anyOf:
                                  - type: object
                                    properties:
                                      amountMinor:
                                        anyOf:
                                          - type: number
                                          - type: string
                                            enum:
                                              - Infinity
                                              - '-Infinity'
                                              - NaN
                                      currency:
                                        type: string
                                      paid:
                                        type: boolean
                                    required:
                                      - amountMinor
                                      - currency
                                      - paid
                                    additionalProperties: false
                                  - type: 'null'
                            required:
                              - id
                              - reference
                              - title
                              - description
                              - contractor
                              - fixedAt
                              - closedAt
                              - completionNote
                              - tenantConfirmedFixed
                              - invoice
                            additionalProperties: false
                          reasons:
                            type: array
                            items:
                              type: string
                              enum:
                                - same_property
                                - same_fault
                                - within_30_days
                                - says_again
                          room:
                            anyOf:
                              - type: string
                              - type: 'null'
                          faultLabel:
                            type: string
                          daysSinceClosed:
                            anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          recommended:
                            type: string
                            enum:
                              - recall
                              - reopen
                          nextReference:
                            anyOf:
                              - type: string
                              - type: 'null'
                          complaint:
                            type: object
                            properties:
                              suggested:
                                type: boolean
                              acknowledgeBy:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              code:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - suggested
                              - acknowledgeBy
                              - code
                            additionalProperties: false
                        required:
                          - previous
                          - reasons
                          - room
                          - faultLabel
                          - daysSinceClosed
                          - recommended
                          - nextReference
                          - complaint
                        additionalProperties: false
                      - type: 'null'
                  decision:
                    anyOf:
                      - type: object
                        properties:
                          choice:
                            type: string
                            enum:
                              - recall
                              - reopen
                          repairId:
                            type: string
                          reference:
                            anyOf:
                              - type: string
                              - type: 'null'
                          previousRepairId:
                            type: string
                          complaintId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          complaintReference:
                            anyOf:
                              - type: string
                              - type: 'null'
                          offeredTo:
                            anyOf:
                              - type: object
                                properties:
                                  contactId:
                                    type: string
                                  name:
                                    type: string
                                required:
                                  - contactId
                                  - name
                                additionalProperties: false
                              - type: 'null'
                          offerRefused:
                            anyOf:
                              - type: string
                              - type: 'null'
                          decidedAt:
                            type: string
                        required:
                          - choice
                          - repairId
                          - reference
                          - previousRepairId
                          - complaintId
                          - complaintReference
                          - offeredTo
                          - offerRefused
                          - decidedAt
                        additionalProperties: false
                      - type: 'null'
                required:
                  - state
                  - match
                  - decision
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable | RepeatFaultInvalid
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/RepeatFaultInvalidEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended | PlanRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantSuspendedEncoded'
                  - $ref: '#/components/schemas/PlanRequiredEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: >-
            WebhookDuplicate | RegistrationConflict | RepeatFaultRefused |
            MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/RepeatFaultRefusedEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    RepeatFaultInvalidEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RepeatFaultInvalid
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    PlanRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PlanRequired
        tenantId:
          type: string
      required:
        - _tag
        - tenantId
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    RepeatFaultRefusedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RepeatFaultRefused
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.